package formview

import (
	"go_dreamfactory/cmd/v2/lib/common"
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/widget"
	"github.com/sirupsen/logrus"
)

type FriendSearchView struct {
	BaseformView
}

func (this *FriendSearchView) CreateView(t *model.TestCase) fyne.CanvasObject {
	name := widget.NewEntry()
	this.form.AppendItem(widget.NewFormItem(common.APP_TESTCASE_FORM_NICKNAME, name))
	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(
			t.MainType,
			t.SubType,
			&pb.FriendSearchReq{NickName: name.Text},
		); err != nil {
			logrus.Error(err)
			return
		}
	}
	return this.form
}
